## ossim 1.8.20.3+ds

=== ossim/CMakeLists.txt ===
PROJECT(ossimcore)
Message("################## Setting up OSSIM core library #########################")

IF(NOT OSSIM_BUILD_ADDITIONAL_OSSIM_DIRECTORIES)
   SET(OSSIM_BUILD_ADDITIONAL_OSSIM_DIRECTORIES "" CACHE PATH "Specify full paths separated by ; to additional OSSIM applications you wish to include into the ossim build framework.  These will have variables setup for the ossim includes" FORCE)
ENDIF(NOT OSSIM_BUILD_ADDITIONAL_OSSIM_DIRECTORIES)

cmake_minimum_required(VERSION 2.8)

SET(CMAKE_MODULE_PATH "${${PROJECT_NAME}_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

INCLUDE(OssimVersion)
INCLUDE(OssimCommonVariables)

# Expose some build options
OPTION(BUILD_OSSIM_FREETYPE_SUPPORT "Set to ON to build OSSIM with freetype support.  Use OFF to turn off freetype support." ON)

OPTION(BUILD_OSSIM_MPI_SUPPORT "Set to ON to build OSSIM with MPI support.  Use OFF to turn off MPI support." ON)

OPTION(BUILD_OSSIM_ID_SUPPORT "Set to ON to build OSSIM SVN ID support into the library.  Use OFF to turn off ID support." ON)

OPTION(BUILD_OSSIM_APPS "Set to ON to build ossim apps.  Use OFF to disable." ON)
OPTION(BUILD_OSSIM_CURL_APPS "Set to ON to build ossim curl dependent apps.  Use ON to enable." OFF)
OPTION(BUILD_OSSIM_TEST_APPS "Set to ON to build ossim test apps.  Use OFF to disable." ON)

OPTION(BUILD_OSSIM_APPS "Set to ON to build ossim test apps.  Use OFF to disable." ON)


###################################################################################
# Include the Utilities in the root make
###################################################################################
INCLUDE(OssimUtilities)

INCLUDE(CheckIncludeFile)
CHECK_INCLUDE_FILE("dirent.h" CMAKE_HAVE_DIRENT_H)
CHECK_INCLUDE_FILE("unistd.h" CMAKE_HAVE_UNISTD_H)
CHECK_INCLUDE_FILE("getopt.h" CMAKE_HAVE_GETOPT_H)
CHECK_INCLUDE_FILE("fcntl.h" CMAKE_HAVE_FCNTL_H)
CHECK_INCLUDE_FILE("dbmalloc.h" CMAKE_HAVE_DBMALLOC_H)
CHECK_INCLUDE_FILE("malloc.h" CMAKE_HAVE_MALLOC_H)
CHECK_INCLUDE_FILE("dlfcn.h" CMAKE_HAVE_DLFCN_H)

# Set our include paths:
include_directories( ${PROJECT_SOURCE_DIR}/include )
include_directories( ${PROJECT_BINARY_DIR}/include )

# Stores list of libs to link with. Initialized throughout.
set( ossimDependentLibs )

#---
# Find required and optional packages and add their include paths and libraries:
#---

# GEOS - Currently optional until it is actually called.:
find_package( GEOS )
if( GEOS_FOUND )
   include_directories( ${GEOS_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${GEOS_LIBRARY} )
else( GEOS_FOUND )
   message( FATAL_ERROR "Could not find geos package! Consider installing this as it will soon become a required package." )
endif( GEOS_FOUND )

# GEOFIFF - Required:
set( OSSIM_HAS_GEOTIFF 0 )
find_package( GEOTIFF )
if( GEOTIFF_FOUND )
   include_directories( ${GEOTIFF_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${GEOTIFF_LIBRARY} )
   set( OSSIM_HAS_GEOTIFF 1 )
else( GEOTIFF_FOUND )
   message( FATAL_ERROR "Could not find required geotiff package!" )
endif( GEOTIFF_FOUND )

# GEOTRANS - Required: (GeoTrans 3.4.x port future...)
# find_package( Geotrans )
# if( GEOTRANS_FOUND )
#   include_directories( ${GEOTRANS_INCLUDE_DIR} )
#   set( ossimDependentLibs ${ossimDependentLibs} ${GEOTRANS_LIBRARY} )
# else( GEOTRANS_FOUND )
#   message( FATAL_ERROR "Could not find required geotrans package!" )
# endif( GEOTRANS_FOUND )

# JPEG - Required package:
find_package( JPEG )
if( JPEG_FOUND )
   include_directories( ${JPEG_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${JPEG_LIBRARY} )
else( JPEG_FOUND )
   message( FATAL_ERROR "Could not find required jpeg package!" )
endif( JPEG_FOUND )

# OpenThreads - Required:
find_package( OpenThreads )
if( OPENTHREADS_FOUND )
   include_directories( ${OPENTHREADS_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${OPENTHREADS_LIBRARY} )
else( OPENTHREADS_FOUND )
   message( FATAL_ERROR "Could not find required OpenThreads package!" )
endif( OPENTHREADS_FOUND )

# TIFF - Required:
find_package( TIFF )
if( TIFF_FOUND )
   include_directories( ${TIFF_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${TIFF_LIBRARY} )
else( TIFF_FOUND )
   message( FATAL_ERROR "Could not find required tiff package!" )
endif( TIFF_FOUND )

# DL - Required on unix:
if( UNIX )
   find_library( DL_LIBRARY dl )
   if ( DL_LIBRARY )
      set( ossimDependentLibs ${ossimDependentLibs} ${DL_LIBRARY} )
   else( DL_LIBRARY )
      # TODO:  Is this required on unix?  If so move to the required section.
      message( FATAL_ERROR "Could not find dl library!" )
   endif( DL_LIBRARY )
endif( UNIX )

# FREETYPE - Optional:
set( OSSIM_HAS_FREETYPE 0 )
if( BUILD_OSSIM_FREETYPE_SUPPORT )
   find_package(Freetype)
   if( FREETYPE_FOUND )
      include_directories( ${FREETYPE_INCLUDE_DIRS} )
      set( ossimDependentLibs ${ossimDependentLibs} ${FREETYPE_LIBRARIES} )
      set( OSSIM_HAS_FREETYPE 1 )
   else( FREETYPE_FOUND )
      message( WARNING "Could not find optional freetype package!" )
   endif( FREETYPE_FOUND )
endif( BUILD_OSSIM_FREETYPE_SUPPORT )

# MPI - Optional:
set( OSSIM_HAS_MPI 0 )
if( BUILD_OSSIM_MPI_SUPPORT )
   find_package(MPI)
   if ( MPI_FOUND )
      include_directories( ${MPI_INCLUDE_DIR} )
      set( ossimDependentLibs ${ossimDependentLibs} ${MPI_LIBRARY} )
      set( OSSIM_HAS_MPI 1 )
   else ( MPI_FOUND )
      message( WARNING "Could not find optional MPI package!" )
   endif ( MPI_FOUND )
endif( BUILD_OSSIM_MPI_SUPPORT )

# ZLIB - Optional:
set( OSSIM_HAS_LIBZ 0 )
find_package( ZLIB )
if ( ZLIB_FOUND )
   include_directories( ${ZLIB_INCLUDE_DIR} )
   set( ossimDependentLibs ${ossimDependentLibs} ${ZLIB_LIBRARY} )
   set( OSSIM_HAS_LIBZ 1 )
else ( ZLIB_FOUND )
   message( WARNING "Could not find optional zlib package!" )
endif ( ZLIB_FOUND )

#---
# Call the OSSIM macros in OssimUtilities.cmake
#---
TODAYS_DATE(OSSIM_BUILD_DATE)
SET(OSSIM_SVN_REVISION_NUMBER "UNKNOWN")
GET_SVN_REVISION()
if ( NOT ${Project_WC_REVISION} EQUAL 0 )
   set( OSSIM_SVN_REVISION_NUMBER ${Project_WC_REVISION} )
endif()

#####################################################################################
# Call the configure files for ossimConfig and ossimVersion setup
#####################################################################################
set(OSSIM_VERSION_NUMBER "\"${OSSIM_VERSION}\"")
set(OSSIM_BUILD_DATE "\"${OSSIM_BUILD_DATE}\"")
set(OSSIM_REVISION_NUMBER "\"${OSSIM_SVN_REVISION_NUMBER}\"")

# Setting of OSSIM_ID to variable expanded $Id$ results.  Embedded troughout code.
set(OSSIM_ID_ENABLED   1)
IF(NOT BUILD_OSSIM_ID_SUPPORT)
   set(OSSIM_ID_ENABLED 0)
ENDIF(NOT BUILD_OSSIM_ID_SUPPORT)

SET(OSSIM_CONFIGURE_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/include/ossim/ossimConfig.h")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/src/ossim/ossimConfig.h.in"
	       "${OSSIM_CONFIGURE_HEADER}")
SET(OSSIM_VERSION_HEADER_CONFIG "${CMAKE_CURRENT_SOURCE_DIR}/src/ossim/ossimVersion.h.in")
SET(OSSIM_VERSION_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/include/ossim/ossimVersion.h")
CONFIGURE_FILE("${OSSIM_VERSION_HEADER_CONFIG}"
               "${OSSIM_VERSION_HEADER}")


##################################################################################################
# Instead of creating another CMakeLists under src we will just add the subdirectories to build
# here
##################################################################################################
subdirs(src/ossim)

#---
# Building apps optional.
#---
if(BUILD_OSSIM_APPS)
  subdirs(src/apps)
endif()

#---
# Building curl dependant apps optional. default=OFF
#---
if(BUILD_OSSIM_CURL_APPS)
  subdirs(src/apps/curl_apps)
endif()

#---
# Building test apps optional.
#---
if(BUILD_OSSIM_TEST_APPS)
  subdirs(src/test)
endif()

set(TARGET_COMMON_LIBRARIES ossim ${OPENTHREADS_LIBRARY})

##################################################################################################
#
# Setup install destinations for the shared files:
# 1) Projection CSV files:
#
##################################################################################################
FILE(GLOB ossim_projection_codes_csv ${${PROJECT_NAME}_SOURCE_DIR}/share/ossim/projection/*.csv ${${PROJECT_NAME}_SOURCE_DIR}/share/ossim/projection/*.txt)
INSTALL(FILES ${ossim_projection_codes_csv} DESTINATION share/ossim/projection COMPONENT ossim)

# 2) Utility API JSON files
FILE(GLOB ossim_util_api_json ${${PROJECT_NAME}_SOURCE_DIR}/share/ossim/util/*.json)
INSTALL(FILES ${ossim_util_api_json} DESTINATION share/ossim/util COMPONENT ossim)

###################### OUTPUT GENERAL VARIABLE SETTINGS #######################

MESSAGE( STATUS "OSSIM_REVISION_NUMBER           = ${OSSIM_REVISION_NUMBER}" )
MESSAGE( STATUS "BUILD_LIBRARY_DIR               = ${BUILD_LIBRARY_DIR}" )
MESSAGE( STATUS "BUILD_RUNTIME_DIR               = ${BUILD_RUNTIME_DIR}" )
MESSAGE( STATUS "BUILD_OSSIM_FREETYPE_SUPPORT    = ${BUILD_OSSIM_FREETYPE_SUPPORT}" )
MESSAGE( STATUS "BUILD_OSSIM_APPS                = ${BUILD_OSSIM_APPS}" )
MESSAGE( STATUS "BUILD_OSSIM_CURL_APPS           = ${BUILD_OSSIM_CURL_APPS}" )
MESSAGE( STATUS "BUILD_OSSIM_TEST_APPS           = ${BUILD_OSSIM_TEST_APPS}" )
MESSAGE( STATUS "CMAKE_BUILD_TYPE                = ${CMAKE_BUILD_TYPE}" )
MESSAGE( STATUS "CMAKE_CXX_COMPILER              = ${CMAKE_CXX_COMPILER}" )
MESSAGE( STATUS "CMAKE_CXX_FLAGS                 = ${CMAKE_CXX_FLAGS}" )
MESSAGE( STATUS "CMAKE_CXX_FLAGS_DEBUG           = ${CMAKE_CXX_FLAGS_DEBUG}" )
MESSAGE( STATUS "CMAKE_CXX_FLAGS_RELEASE         = ${CMAKE_CXX_FLAGS_RELEASE}" )
MESSAGE( STATUS "CMAKE_INSTALL_PREFIX            = ${CMAKE_INSTALL_PREFIX}" )
MESSAGE( STATUS "FREETYPE_LIBRARY                = ${FREETYPE_LIBRARIES}" )
MESSAGE( STATUS "FREETYPE_INCLUDE                = ${FREETYPE_INCLUDE_DIRS}" )
MESSAGE( STATUS "GEOTIFF_LIBRARY                 = ${GEOTIFF_LIBRARIES}" )
MESSAGE( STATUS "GEOTIFF_INCLUDE                 = ${GEOTIFF_INCLUDE_DIR}" )
MESSAGE( STATUS "GEOTRANS_LIBRARY                = ${GEOTRANS_LIBRARY}" )
MESSAGE( STATUS "GEOTRANS_INCLUDE                = ${GEOTRANS_INCLUDE_DIR}" )
MESSAGE( STATUS "GEOS_LIBRARY                    = ${GEOS_LIBRARY}" )
MESSAGE( STATUS "GEOS_INCLUDE                    = ${GEOS_INCLUDE_DIR}" )
MESSAGE( STATUS "JPEG_LIBRARY                    = ${JPEG_LIBRARIES}" )
MESSAGE( STATUS "JPEG_INCLUDE                    = ${JPEG_INCLUDE_DIR}" )
MESSAGE( STATUS "MPI_LIBRARY                     = ${MPI_LIBRARIES}" )
MESSAGE( STATUS "MPI_INCLUDE                     = ${MPI_INCLUDE_PATH}" )
MESSAGE( STATUS "OPENTHREADS_LIBRARY             = ${OPENTHREADS_LIBRARY}" )
MESSAGE( STATUS "OPENTHREADS_INCLUDE             = ${OPENTHREADS_INCLUDE_DIR}" )
MESSAGE( STATUS "OSSIM_COMPILE_WITH_FULL_WARNING = ${OSSIM_COMPILE_WITH_FULL_WARNING}" )
MESSAGE( STATUS "OSSIM DEPENDENT LIBRARIES       = ${ossimDependentLibs}" )
MESSAGE( STATUS "TIFF_LIBRARY                    = ${TIFF_LIBRARIES}" )
MESSAGE( STATUS "TIFF_INCLUDE                    = ${TIFF_INCLUDE_DIR}" )
MESSAGE( STATUS "ZLIB_LIBRARY                    = ${ZLIB_LIBRARIES}" )
MESSAGE( STATUS "ZLIB_INCLUDE                    = ${ZLIB_INCLUDE_DIR}" )

#-----------------------------------------------------------------------------
# uninstall target
#-----------------------------------------------------------------------------
OSSIM_ADD_COMMON_MAKE_UNINSTALL()

message("################## end of OSSIM core library setup #########################")

=== ossim/src/ossim/CMakeLists.txt ===
SET(LIB_NAME ossim)

########################################### BEGIN: GRAB SOURCE FILES ##########################################
FILE(GLOB ossim_dll_main_SRCS RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/dll_main/*.cpp")
FILE(GLOB ossim_SRCS  RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} 
        "${CMAKE_CURRENT_SOURCE_DIR}/ossimConfig*.cpp" 
        "${CMAKE_CURRENT_SOURCE_DIR}/ossimVer*.cpp" 
        "${CMAKE_CURRENT_SOURCE_DIR}/init/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/init/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/base/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/base/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/elevation/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/elevation/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/font/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/font/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/imaging/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/imaging/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/matrix/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/matrix/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/parallel/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/parallel/*.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/point_cloud/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/point_cloud/*.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/projection/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/projection/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/support_data/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/support_data/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/util/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/util/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/vec/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/vec/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/video/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/video/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/vpfutil/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/vpfutil/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/plugin/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/plugin/*.c")

IF(WIN32)
	LIST(APPEND ossim_SRCS "${ossim_dll_main_SRCS}")
ENDIF(WIN32)

ADD_DEFINITIONS("-DOSSIMMAKINGDLL")
############################### GRAB HEADERS #####################################
FILE(GLOB ossim_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/*.h")
FILE(GLOB ossim_base_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/base/*.h")
FILE(GLOB ossim_elevation_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/elevation/*.h")
FILE(GLOB ossim_font_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/font/*.h")
FILE(GLOB ossim_imaging_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/imaging/*.h")
FILE(GLOB ossim_init_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/init/*.h")
FILE(GLOB ossim_matrix_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/matrix/*.h")
FILE(GLOB ossim_parallel_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/parallel/*.h")
FILE(GLOB ossim_plugin_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/plugin/*.h")
FILE(GLOB ossim_point_cloud_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/point_cloud/*.h")
FILE(GLOB ossim_projection_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/projection/*.h")
FILE(GLOB ossim_support_data_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/support_data/*.h")
FILE(GLOB ossim_util_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/util/*.h")
FILE(GLOB ossim_vec_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/vec/*.h")
FILE(GLOB ossim_video_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/video/*.h")
FILE(GLOB ossim_vpfutil_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../include/ossim/vpfutil/*.h")

MESSAGE( "${ossim_HDRS}" )
SET(OSSIM_HEADER_FILES 
	${ossim_HDRS}
 	${ossim_base_HDRS} ${ossim_elevation_HDRS} ${ossim_font_HDRS}  ${ossim_imaging_HDRS} ${ossim_init_HDRS}
	${ossim_matrix_HDRS} ${ossim_parallel_HDRS} ${ossim_plugin_HDRS} ${ossim_point_cloud_HDRS} ${ossim_projection_HDRS} ${ossim_support_data_HDRS} ${ossim_util_HDRS} ${ossim_vec_HDRS} ${ossim_video_HDRS} ${ossim_vpfutil_HDRS} )


################################## APPLE Framework support deep header mapping ###################################
IF(APPLE)
  FOREACH(f  ${ossim_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_base_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/base )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_elevation_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/elevation )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_font_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/font )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_imaging_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/imaging )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_init_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/init )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_matrix_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/matrix )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_parallel_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/parallel )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_plugin_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/plugin )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_point_cloud_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/point_cloud )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_projection_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/projection )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_support_data_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/support_data )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_util_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/util )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_vec_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/vec )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_video_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/video )
  ENDFOREACH(f)

  FOREACH(f  ${ossim_vpfutil_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/vpfutil )
  ENDFOREACH(f)

ENDIF(APPLE)

#################################### SETUP the required link parameters using the Ossim macro ####################################
OSSIM_LINK_LIBRARY(${LIB_NAME} 
                   COMPONENT_NAME ossim 
                   TYPE ${OSSIM_USER_DEFINED_DYNAMIC_OR_STATIC}
                   LIBRARIES ${ossimDependentLibs}
                   HEADERS "${OSSIM_HEADER_FILES}" 
                   PUBLIC_HEADERS "${ossim_HDRS}"
                   SOURCE_FILES "${ossim_SRCS}"
                   INSTALL_LIB VERSION_SYMLINKS)

# The install headers was duplicating ossimVersion.h and ossimConfig.h in "install_prefix/include".
# INSTALL_HEADERS)

########################################################## If DO special case for ossim core needs to have the files mapped properly ################################ 
IF(NOT OSSIM_BUILD_FRAMEWORKS OR NOT APPLE)
   install(FILES ${ossim_HDRS} DESTINATION include/ossim COMPONENT ossim) 
   install(FILES ${ossim_base_HDRS} DESTINATION include/ossim/base COMPONENT ossim) 
   install(FILES ${ossim_elevation_HDRS} DESTINATION include/ossim/elevation COMPONENT ossim)
   install(FILES ${ossim_font_HDRS} DESTINATION include/ossim/font COMPONENT ossim)
   install(FILES ${ossim_imaging_HDRS} DESTINATION include/ossim/imaging COMPONENT ossim) 
   install(FILES ${ossim_init_HDRS} DESTINATION include/ossim/init COMPONENT ossim) 
   install(FILES ${ossim_matrix_HDRS} DESTINATION include/ossim/matrix COMPONENT ossim) 
   install(FILES ${ossim_parallel_HDRS} DESTINATION include/ossim/parallel COMPONENT ossim) 
   install(FILES ${ossim_plugin_HDRS} DESTINATION include/ossim/plugin COMPONENT ossim) 
   install(FILES ${ossim_point_cloud_HDRS} DESTINATION include/ossim/point_cloud COMPONENT ossim) 
   install(FILES ${ossim_projection_HDRS} DESTINATION include/ossim/projection COMPONENT ossim) 
   install(FILES ${ossim_support_data_HDRS} DESTINATION include/ossim/support_data COMPONENT ossim) 
   install(FILES ${ossim_util_HDRS} DESTINATION include/ossim/util COMPONENT ossim) 
   install(FILES ${ossim_vec_HDRS} DESTINATION include/ossim/vec COMPONENT ossim) 
   install(FILES ${ossim_video_HDRS} DESTINATION include/ossim/video COMPONENT ossim) 
   install(FILES ${ossim_vpfutil_HDRS} DESTINATION include/ossim/vpfutil COMPONENT ossim) 
ENDIF(NOT OSSIM_BUILD_FRAMEWORKS OR NOT APPLE)
# ENDIF(NOT OSSIM_FRAMEWORK_GENERATION OR NOT APPLE)

# ---
# This is the old list of library for the link line.  Replaced with ${ossimDependentLibs}.  
# Kept temporarily in case I broke something.  drb - 31 Aug. 2011
# LIBRARIES ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${GEOTIFF_LIBRARIES} ${OPENTHREADS_LIBRARIES} ${FREETYPE_LIBRARIES} ${MPI_LIBRARIES} ${ZLIB_LIBRARIES} ${DL_LIBRARY}
# ---

=== ossim/src/test/CMakeLists.txt ===
# $Id: CMakeLists.txt 23496 2015-08-28 15:26:18Z okramer $

OSSIM_SETUP_APPLICATION(ossim-aux-dot-xml-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-aux-dot-xml-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-byte-stream-buffer-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-byte-stream-buffer-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-csv-file-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-csv-file-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-date-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-date-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-datum-shift COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-datum-shift.cpp)
OSSIM_SETUP_APPLICATION(ossim-directory-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-directory-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-dms-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-dms-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-dted-handler-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-dted-handler-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-dump-vpf-table COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-dump-vpf-table.cpp)
OSSIM_SETUP_APPLICATION(ossim-duration-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-duration-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-elevation-manager-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-elevation-manager-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-envi-hdr-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-envi-hdr-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-epsg-factory-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-epsg-factory-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-eq-projection-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-eq-projection-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-fgdc-txt-doc-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-fgdc-txt-doc-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-filename-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-filename-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-foo COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-foo.cpp)
OSSIM_SETUP_APPLICATION(ossim-get-pixel-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-get-pixel-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-gpkg-writer-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-gpkg-writer-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-gpt-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-gpt-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-gsd-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-gsd-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-gsoc1 COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-gsoc1.cpp)
OSSIM_SETUP_APPLICATION(ossim-histo-compare COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-histo-compare.cpp)
OSSIM_SETUP_APPLICATION(ossim-image-chain-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-image-chain-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-image-elevation-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-image-elevation-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-image-geometry-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-image-geometry-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-image-handler-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-image-handler-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-index-to-rgb-lut-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-index-to-rgb-lut-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-info-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-info-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-image-writer-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-image-writer-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-jobqueue-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-jobqueue-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-keywordlist-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-keywordlist-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-least-squares-plane-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-least-squares-plane-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-loadtile-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-loadtile-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-lsr-space-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-lsr-space-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-mask-filter-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-mask-filter-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-nitf-rsm-model-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-nitf-rsm-model-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-notify-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-notify-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-obj-allocate COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-obj-allocate.cpp)
OSSIM_SETUP_APPLICATION(ossim-piecewise-remapper-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-piecewise-remapper-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-pixel-flipper-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-pixel-flipper-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-point-cloud-handler-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-point-cloud-handler-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-point-cloud-image-handler-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-point-cloud-image-handler-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-point-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-point-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-projection-factory-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-projection-factory-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-projection-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-projection-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-range-dome-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-range-dome-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-read-write-consistency-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-read-write-consistency-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-rect-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-rect-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-ref-ptr-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-ref-ptr-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-remap-table-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-remap-table-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-shift-filter-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-shift-filter-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-single-image-chain-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-single-image-chain-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-single-image-chain-threaded-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-single-image-chain-threaded-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-srtm-support-data-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-srtm-support-data-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-string-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-string-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-thin-plate-spline-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-thin-plate-spline-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-threaded-chain-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-threaded-chain-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-threaded-elevation-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-threaded-elevation-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-threaded-polyarea2d-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-threaded-polyarea2d-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-threaded-logfile-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-threaded-logfile-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-tiled-elevation-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-tiled-elevation-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-tiff-info-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-tiff-info-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-visitor-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-visitor-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-wavelength-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-wavelength-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-wkt-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-wkt-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-wkt-proj-factory-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-wkt-proj-factory-test.cpp)
OSSIM_SETUP_APPLICATION(ossim-xml-test COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-xml-test.cpp)

=== ossim/src/apps/curl_apps/CMakeLists.txt ===
message( "************** Begin: CMAKE SETUP FOR ossim curl apps ******************" )

cmake_minimum_required (VERSION 2.8)

project(ossimcore)

set(requiredLibs)

# Get the library suffix for lib or lib64.
get_property(LIB64 GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS)       
if(LIB64)
   set(LIBSUFFIX 64)
else()
   set(LIBSUFFIX "")
endif()

# OpenThreads - Required:
find_package( OpenThreads )
if( OPENTHREADS_FOUND )
   include_directories( ${OPENTHREADS_INCLUDE_DIR} )
   set( requiredLibs ${requiredLibs} ${OPENTHREADS_LIBRARY} )
else( OPENTHREADS_FOUND )
   message( FATAL_ERROR "Could not find required OpenThreads package!" )
endif( OPENTHREADS_FOUND )

find_package( CURL )
if( CURL_FOUND )
   include_directories( ${CURL_INCLUDE_DIR} )
   set( requiredLibs ${requiredLibs} ${CURL_LIBRARY} )
else( CURL_FOUND )
   message(FATAL_ERROR "Could not find curl") 
endif( CURL_FOUND )

# Requires ossim:
find_package(ossim)
if (OSSIM_FOUND)
   include_directories( ${OSSIM_INCLUDE_DIR} )
   set(requiredLibs ${requiredLibs} ${OSSIM_LIBRARIES} )
else(OSSIM_FOUND)
   message(FATAL_ERROR "Could not find ossim")
endif(OSSIM_FOUND)

# Add our include...
include_directories(".")

message( STATUS "CURL_INCLUDE_DIR    = ${CURL_INCLUDE_DIR}" )
message( STATUS "CURL_LIBRARY        = ${CURL_LIBRARY}" )
message( STATUS "OPENTHREADS_LIBRARY = ${OPENTHREADS_LIBRARY}" )
message( STATUS "OPENTHREADS_INCLUDE = ${OPENTHREADS_INCLUDE_DIR}" )
message( STATUS "OSSIM_INCLUDE_DIR   = ${OSSIM_INCLUDE_DIR}" )
message( STATUS "OSSIM_LIBRARIES     = ${OSSIM_LIBRARIES}" )
message( STATUS "Required libs       = ${requiredLibs}" )

# ---
# omar-data-mgr app:
# ---

# Add the executable:
add_executable(omar-data-mgr omar-data-mgr.cpp omarDataMgrUtil.cpp )

# Set the output dir:
set_target_properties(omar-data-mgr 
                      PROPERTIES 
                      RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${BUILD_RUNTIME_DIR}")

# omar-data-mgr application links with required libs.
target_link_libraries( omar-data-mgr ${requiredLibs} )

# Install app:
install( TARGETS omar-data-mgr
         DESTINATION ${INSTALL_RUNTIME_DIR} )

message( "************** End: CMAKE SETUP FOR ossim curl apps ******************" )

=== ossim/src/apps/ossim-equation/Makefile ===
PROGRAM=ossim-equation

include ../../../makeprog.mak

=== ossim/src/apps/ossim-hlz/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-hlz INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== ossim/src/apps/ossim-hlz/Makefile ===
PROGRAM=ossim-hlz

include ../../../makeprog.mak

=== ossim/src/apps/ossim-image-synth/Makefile ===
PROGRAM=ossim-image-synth

include ../../../makeprog.mak

=== ossim/src/apps/ossim-img2rr/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-img2rr INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== ossim/src/apps/ossim-prune/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-prune INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== ossim/src/apps/ossim-slope/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-slope INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== ossim/src/apps/ossim-slope/Makefile ===
PROGRAM=ossim-slope

include ../../../makeprog.mak

=== debian/changelog ===
ossim (1.8.20.3+ds-5) unstable; urgency=medium

  * Team upload.
  * Update fix-ossim-trac-2354.diff with alternative to fix FTBFS with GCC 6.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Jul 2016 16:32:48 +0200

ossim (1.8.20.3+ds-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with GCC 6.
    (closes: #811851)
  * Update watch file to handle other tar extensions.
  * Add patch to fix 'requested' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jun 2016 18:43:36 +0200

ossim (1.8.20.3+ds-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Add Breaks/Replaces on libossim1v5 to deal with uncoordinated Ubuntu
    changes for g++5 ABI transition.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 00:48:32 +0200

ossim (1.8.20.3+ds-2) unstable; urgency=medium

  * Team upload.

  [ Rashad Kanavath ]
  * Use date format YYYYMMDD for OSSIM_BUILD_DATE.
  * Don't build frameworks for OSX.
  * Remove unused dependencies for ossim-core.
  * Update CMakeModules for 1.8.20, dropping support for the static library.

  [ Bas Couwenberg ]
  * Document the need to update the cmake patch for every new upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 20:35:18 +0100

ossim (1.8.20.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Update unknown-typo.patch to fix another occurrence.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 22:42:41 +0100

ossim (1.8.20.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file using copyright-format 1.0.
  * Update watch file to set repacksuffix and use HTTP.
  * Use ossim subdirectory as source directory.
  * Refresh patches.
  * Drop obsolete README.source.
  * Add upstream metadata.
  * Use libgeos++-dev as build dependency for both C & C++ libraries & headers.
  * Enable parallel builds.
  * Update ossim-core.install to include all binaries and their data.
  * Add shlibs file for libossim1.
  * Update typo patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Dec 2015 17:18:35 +0100

ossim (1.8.16-5) unstable; urgency=medium

  * Add initial watch file by Tobias Frost, add uscan options for passive FTP
    and version mangling. (closes: #789367)
  * Override dh_install to use --list-missing.
  * Require at least libgeos-dev 3.5.0 for Multi-Arch paths.
  * ossim doesn't have any reverse dependencies, so no special consideration
    is required for the GCC 5 related transitions.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 12:36:50 +0200

=== debian/control ===
Source: ossim
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: extra
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libcurl4-gnutls-dev | libcurl4-dev,
               libfreetype6-dev,
               libgeos++-dev (>= 3.5.0),
               libgeotiff-dev,
               libjpeg-dev,
               libopenthreads-dev,
               libpng-dev,
               libtiff-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ossim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ossim.git
Homepage: http://www.ossim.org/

Package: libossim1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libossim1v5 (<< 1.8.20.3)
Replaces: libossim1v5 (<< 1.8.20.3)
Description: OSSIM library -- shared library
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes the OSSIM shared library.

Package: libossim-dev
Architecture: any
Section: libdevel
Depends: libossim1 (= ${binary:Version}),
         libgeotiff-dev,
         ${misc:Depends}
Description: OSSIM library -- development files
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes the development files to build programs
 that use the OSSIM library.

Package: ossim-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: OSSIM core utilities
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes core tools that use the OSSIM library to
 perform some basic tasks.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILD_DATE=$(shell dpkg-parsechangelog | sed -n 's/^Date: //p' | LC_ALL=C date -u "+%Y%m%d" -f -)

OSSIM_VERSION=$(shell dpkg-parsechangelog|grep Version:|cut -d' ' -f2|cut -d- -f1)
OSSIM_VERSION_TAG=$(subst .,_,$(OSSIM_VERSION))

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
    OPTFLAG =
else
    CFLAGS += -O2
    OPTFLAG = --enable-optimization
endif

%:
	dh $@ --buildsystem cmake \
	      --sourcedirectory=$(CURDIR)/ossim \
	      --builddirectory=$(CURDIR)/debian/build \
	      --parallel

# Add here any variable or target overrides you need.
CMAKE_OPTS = \
       -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DCMAKE_MODULE_PATH=$(CURDIR)/ossim/CMakeModules \
       -DBUILD_OSSIM_FRAMEWORKS=OFF \
       -DBUILD_OSSIM_FREETYPE_SUPPORT=ON \
       -DBUILD_OSSIM_ID_SUPPORT=ON \
       -DBUILD_OSSIM_MPI_SUPPORT=OFF \
       -DBUILD_OSSIM_TEST_APPS=ON \
       -DBUILD_SHARED_LIBS=ON \
       -DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2 \
       -DGEOS_INCLUDE_DIR=/usr/include/geos \
       -DOSSIM_BUILD_DATE=$(BUILD_DATE)

override_dh_auto_clean:
	rm -rf debian/build
	rm -f include/ossim/ossimConfig.h include/ossim/ossimVersion.h
	dh_auto_clean

override_dh_auto_configure:
	[ -d debian/build ] || mkdir debian/build
	[ ! -e CMakeCache.txt ] || rm CMakeCache.txt
	dh_auto_configure -- $(CMAKE_OPTS) $(CURDIR)/ossim

overridd_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/tmp/usr/share/ossim/templates/
	install -D $(CURDIR)/ossim/etc/templates/*.kwl $(CURDIR)/debian/tmp/usr/share/ossim/templates
	install -T $(CURDIR)/ossim/etc/templates/ossim_preferences_template $(CURDIR)/debian/tmp/usr/share/ossim/templates/ossim_preferences
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/ossim
	find $(CURDIR)/debian/tmp/usr/share/ossim/templates -type f -exec chmod a-x {} \;
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimConfig.h
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimVersion.h

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
repacksuffix=+ds \
http://download.osgeo.org/ossim/source/ossim-([\d\.]+\S*)/ossim-([\d\.]+\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
